## org.hibernate.usertype
Interface EnhancedUserType

All Superinterfaces:
  UserType

All Known Implementing Classes:
  EnumType

    public interface EnhancedUserType

extends UserType

A custom type that may function as an identifier or discriminator type, or may be marshalled to and from an XML document

Author:
  Gavin King

Method Summary
`Object` `fromXMLString(String xmlValue)` Parse a string representation of this value, as it appears in an XML document
`String` `objectToSQLString(Object value)` Return an SQL literal representation of the value
`String` `toXMLString(Object value)` Return a string representation of this value, as it should appear in an XML document

Methods inherited from interface org.hibernate.usertype.UserType
`assemble, deepCopy, disassemble, equals, hashCode, isMutable, nullSafeGet, nullSafeSet, replace, returnedClass, sqlTypes`

Method Detail

### objectToSQLString

    String objectToSQLString(Object value)

  Return an SQL literal representation of the value

### toXMLString

    String toXMLString(Object value)

  Return a string representation of this value, as it should appear in an XML document

### fromXMLString

    Object fromXMLString(String xmlValue)

  Parse a string representation of this value, as it appears in an XML document

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.